Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.artenum.cassandra.plugin.threshold
Class ThresholdPluginIntegrator

    java.lang.Object
      com.artenum.cassandra.plugin.threshold.ThresholdPluginIntegrator

All Implemented Interfaces:
  com.artenum.cassandra.plugin.CassandraPluginIntegrator

    public class ThresholdPluginIntegrator

extends java.lang.Object
implements com.artenum.cassandra.plugin.CassandraPluginIntegrator

     Project ref           : CASSANDRA project
     Copyright and license : See relevant sections
     Status                : under development
     Creation              : 04/03/2005
     Modification          :

     Description  :
                 This class integrates all plugins contained
                 in the jar file into Cassandra. Practically,
                 this class adds all needed links items in
                 the menus of the main Cassandra GUI.
                 The instantiation itself is delegated to the
                 action linked to your menu.

Version number | Author (name, e-mail) | Corrections/Modifications
0.1 | Sebastien Jourdain, jourdain@artenum.com | Creation

Version:
  0.1
Author:
  Sebastien Jourdain

Constructor Summary
`ThresholdPluginIntegrator()`

Method Summary
`void` | `integratePluginsInFramework(com.artenum.cassandra.pipeline.PipeLineManager pipelineManager, com.artenum.cassandra.plugin.PluginManager pluginManager, com.artenum.cassandra.plugin.DynamicPluginMenu menu)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThresholdPluginIntegrator

    public ThresholdPluginIntegrator()

Method Detail

### integratePluginsInFramework

    public void integratePluginsInFramework(com.artenum.cassandra.pipeline.PipeLineManager pipelineManager,
                                            com.artenum.cassandra.plugin.PluginManager pluginManager,
                                            com.artenum.cassandra.plugin.DynamicPluginMenu menu)

  Specified by:
    `integratePluginsInFramework` in interface `com.artenum.cassandra.plugin.CassandraPluginIntegrator`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

    				 (c) Copyright: Artenum SARL, 101-103 Boulevard Mac Donald,
    				                75019, Paris, France 2005.
    				                http://www.artenum.com

    				 License:

    				  This program is free software; you can redistribute it
    				  and/or modify it under the terms of the Q Public License;
    				  either version 1 of the License.

    				  This program is distributed in the hope that it will be
    				  useful, but WITHOUT ANY WARRANTY; without even the implied
    				  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
    				  PURPOSE. See the Q Public License for more details.

    				  You should have received a copy of the Q Public License
    				  License along with this program;
    				  if not, write to:
    				    Artenum SARL, 101-103 Boulevard Mac Donald,
    				    75019, PARIS, FRANCE, e-mail: contact@artenum.com